Subject: Re: bug#6866: mule-cmds.el just _assumes_ all of Taiwan uses Big5 and not UTF-8

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Aug 2010 20:41:44 +0300

> From: [email-masked]
> Date: Mon, 16 Aug 2010 23:27:51 +0800
> Cc: [email-masked]
> 
> Many users will say: didn't I make a big effort years ago to totally
> convert my environment? Why do I still have traces of big5 hanging
> around?

Users should not look into the code unless they actually read it (as
opposed to grep them with some random string) and understand what the
code does.

> Perhaps there should be a more neutral name used. Since it seems what
> you are calling Chinese-Big5 does not have much to do with
> http://en.wikipedia.org/wiki/Traditional_Chinese#Computer_encoding
> after all.

It _is_ a name of an encoding, just the Emacs name.  It just isn't
used in the way you thought.